#include "xcmodel.h"

XCModel::XCModel()
    : XAsset()
    , mMins()
    , mMaxs()
    , mRadius(0.0f)
    , mLeaf()
{
    
}

XCModel::~XCModel()
{
    
}

void XCModel::ParseData(QDataStream *aStream)
{
    
}

void XCModel::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
    mRadius = 0.0f;
    mLeaf = XCLeaf();
}
